Skip to content

Admin Arrow Vendor Offering Mappings

Operations Summary

Method Endpoint Description
Core CRUD
GET /api/admin/arrow/vendor-offering-mappings/ Vendor offering mappings
GET /api/admin/arrow/vendor-offering-mappings/{uuid}/ Retrieve
Data
GET /api/admin/arrow/vendor-offering-mappings/vendor_choices/ Get vendor names from Arrow catalog API (IAAS category)
Other Actions
POST /api/admin/arrow/vendor-offering-mappings/ Vendor offering mappings
PUT /api/admin/arrow/vendor-offering-mappings/{uuid}/ Update
PATCH /api/admin/arrow/vendor-offering-mappings/{uuid}/ Partial Update
DELETE /api/admin/arrow/vendor-offering-mappings/{uuid}/ Delete

Core CRUD

Vendor offering mappings

1
2
3
4
http \
  GET \
  https://api.example.com/api/admin/arrow/vendor-offering-mappings/ \
  Authorization:"Token YOUR_API_TOKEN"
 1
 2
 3
 4
 5
 6
 7
 8
 9
10
from waldur_api_client.client import AuthenticatedClient
from waldur_api_client.api.admin import admin_arrow_vendor_offering_mappings_list # (1)

client = AuthenticatedClient(
    base_url="https://api.example.com", token="YOUR_API_TOKEN"
)
response = admin_arrow_vendor_offering_mappings_list.sync(client=client)

for item in response:
    print(item)
  1. API Source: admin_arrow_vendor_offering_mappings_list
 1
 2
 3
 4
 5
 6
 7
 8
 9
10
import { adminArrowVendorOfferingMappingsList } from 'waldur-js-client';

try {
  const response = await adminArrowVendorOfferingMappingsList({
  auth: "Token YOUR_API_TOKEN"
});
  console.log('Success:', response);
} catch (error) {
  console.error('Error:', error);
}
Name Type Description
arrow_vendor_name string
is_active boolean
offering string (uri)
offering_uuid string (uuid)
page integer A page number within the paginated result set.
page_size integer Number of results to return per page.
settings string (uri)
settings_uuid string (uuid)

200 -

The response body is an array of objects, where each object has the following structure:

Field Type Description
uuid string (uuid)
url string (uri)
settings string (uri)
settings_uuid string (uuid)
arrow_vendor_name string Arrow vendor name (e.g., 'Microsoft', 'Amazon Web Services')
offering string (uuid)
offering_uuid string (uuid)
offering_name string
offering_type string
plan string (uuid)
plan_uuid string (uuid)
plan_name string
is_active boolean Whether this mapping is active
created string (date-time)
modified string (date-time)

Retrieve

1
2
3
4
http \
  GET \
  https://api.example.com/api/admin/arrow/vendor-offering-mappings/a1b2c3d4-e5f6-7890-abcd-ef1234567890/ \
  Authorization:"Token YOUR_API_TOKEN"
 1
 2
 3
 4
 5
 6
 7
 8
 9
10
11
12
from waldur_api_client.client import AuthenticatedClient
from waldur_api_client.api.admin import admin_arrow_vendor_offering_mappings_retrieve # (1)

client = AuthenticatedClient(
    base_url="https://api.example.com", token="YOUR_API_TOKEN"
)
response = admin_arrow_vendor_offering_mappings_retrieve.sync(
    uuid="a1b2c3d4-e5f6-7890-abcd-ef1234567890",
    client=client
)

print(response)
  1. API Source: admin_arrow_vendor_offering_mappings_retrieve
 1
 2
 3
 4
 5
 6
 7
 8
 9
10
11
12
13
import { adminArrowVendorOfferingMappingsRetrieve } from 'waldur-js-client';

try {
  const response = await adminArrowVendorOfferingMappingsRetrieve({
  auth: "Token YOUR_API_TOKEN",
  path: {
    "uuid": "a1b2c3d4-e5f6-7890-abcd-ef1234567890"
  }
});
  console.log('Success:', response);
} catch (error) {
  console.error('Error:', error);
}
Name Type Required
uuid string (uuid)

200 -

Field Type Description
uuid string (uuid)
url string (uri)
settings string (uri)
settings_uuid string (uuid)
arrow_vendor_name string Arrow vendor name (e.g., 'Microsoft', 'Amazon Web Services')
offering string (uuid)
offering_uuid string (uuid)
offering_name string
offering_type string
plan string (uuid)
plan_uuid string (uuid)
plan_name string
is_active boolean Whether this mapping is active
created string (date-time)
modified string (date-time)

Data

Get vendor names from Arrow catalog API (IAAS category)

Get vendor names from Arrow catalog API (IAAS category).

1
2
3
4
http \
  GET \
  https://api.example.com/api/admin/arrow/vendor-offering-mappings/vendor_choices/ \
  Authorization:"Token YOUR_API_TOKEN"
 1
 2
 3
 4
 5
 6
 7
 8
 9
10
from waldur_api_client.client import AuthenticatedClient
from waldur_api_client.api.admin import admin_arrow_vendor_offering_mappings_vendor_choices_list # (1)

client = AuthenticatedClient(
    base_url="https://api.example.com", token="YOUR_API_TOKEN"
)
response = admin_arrow_vendor_offering_mappings_vendor_choices_list.sync(client=client)

for item in response:
    print(item)
  1. API Source: admin_arrow_vendor_offering_mappings_vendor_choices_list
 1
 2
 3
 4
 5
 6
 7
 8
 9
10
import { adminArrowVendorOfferingMappingsVendorChoicesList } from 'waldur-js-client';

try {
  const response = await adminArrowVendorOfferingMappingsVendorChoicesList({
  auth: "Token YOUR_API_TOKEN"
});
  console.log('Success:', response);
} catch (error) {
  console.error('Error:', error);
}
Name Type Description
arrow_vendor_name string
is_active boolean
offering string (uri)
offering_uuid string (uuid)
page integer A page number within the paginated result set.
page_size integer Number of results to return per page.
settings string (uri)
settings_uuid string (uuid)

200 -

The response body is an array of objects, where each object has the following structure:

Field Type
value string
label string

Other Actions

Vendor offering mappings

1
2
3
4
5
6
7
http \
  POST \
  https://api.example.com/api/admin/arrow/vendor-offering-mappings/ \
  Authorization:"Token YOUR_API_TOKEN" \
  settings="a1b2c3d4-e5f6-7890-abcd-ef1234567890" \
  arrow_vendor_name="string-value" \
  offering="a1b2c3d4-e5f6-7890-abcd-ef1234567890"
 1
 2
 3
 4
 5
 6
 7
 8
 9
10
11
12
13
14
15
16
17
18
19
from waldur_api_client.client import AuthenticatedClient
from waldur_api_client.models.arrow_vendor_offering_mapping_create_request import ArrowVendorOfferingMappingCreateRequest # (1)
from waldur_api_client.api.admin import admin_arrow_vendor_offering_mappings_create # (2)

client = AuthenticatedClient(
    base_url="https://api.example.com", token="YOUR_API_TOKEN"
)

body_data = ArrowVendorOfferingMappingCreateRequest(
    settings="a1b2c3d4-e5f6-7890-abcd-ef1234567890",
    arrow_vendor_name="string-value",
    offering="a1b2c3d4-e5f6-7890-abcd-ef1234567890"
)
response = admin_arrow_vendor_offering_mappings_create.sync(
    client=client,
    body=body_data
)

print(response)
  1. Model Source: ArrowVendorOfferingMappingCreateRequest
  2. API Source: admin_arrow_vendor_offering_mappings_create
 1
 2
 3
 4
 5
 6
 7
 8
 9
10
11
12
13
14
15
import { adminArrowVendorOfferingMappingsCreate } from 'waldur-js-client';

try {
  const response = await adminArrowVendorOfferingMappingsCreate({
  auth: "Token YOUR_API_TOKEN",
  body: {
    "settings": "a1b2c3d4-e5f6-7890-abcd-ef1234567890",
    "arrow_vendor_name": "string-value",
    "offering": "a1b2c3d4-e5f6-7890-abcd-ef1234567890"
  }
});
  console.log('Success:', response);
} catch (error) {
  console.error('Error:', error);
}
Field Type Required Description
settings string (uuid)
arrow_vendor_name string Arrow vendor name (e.g., 'Microsoft', 'Amazon Web Services')
offering string (uuid)
plan string (uuid)
is_active boolean Whether this mapping is active

201 -

Field Type Description
uuid string (uuid)
url string (uri)
settings string (uuid)
settings_uuid string (uuid)
arrow_vendor_name string Arrow vendor name (e.g., 'Microsoft', 'Amazon Web Services')
offering string (uuid)
offering_uuid string (uuid)
offering_name string
offering_type string
plan string (uuid)
plan_uuid string (uuid)
plan_name string
is_active boolean Whether this mapping is active
created string (date-time)
modified string (date-time)

Update

1
2
3
4
5
6
7
http \
  PUT \
  https://api.example.com/api/admin/arrow/vendor-offering-mappings/a1b2c3d4-e5f6-7890-abcd-ef1234567890/ \
  Authorization:"Token YOUR_API_TOKEN" \
  settings="https://api.example.com/api/settings/a1b2c3d4-e5f6-7890-abcd-ef1234567890/" \
  arrow_vendor_name="string-value" \
  offering="a1b2c3d4-e5f6-7890-abcd-ef1234567890"
 1
 2
 3
 4
 5
 6
 7
 8
 9
10
11
12
13
14
15
16
17
18
19
20
from waldur_api_client.client import AuthenticatedClient
from waldur_api_client.models.arrow_vendor_offering_mapping_request import ArrowVendorOfferingMappingRequest # (1)
from waldur_api_client.api.admin import admin_arrow_vendor_offering_mappings_update # (2)

client = AuthenticatedClient(
    base_url="https://api.example.com", token="YOUR_API_TOKEN"
)

body_data = ArrowVendorOfferingMappingRequest(
    settings="https://api.example.com/api/settings/a1b2c3d4-e5f6-7890-abcd-ef1234567890/",
    arrow_vendor_name="string-value",
    offering="a1b2c3d4-e5f6-7890-abcd-ef1234567890"
)
response = admin_arrow_vendor_offering_mappings_update.sync(
    uuid="a1b2c3d4-e5f6-7890-abcd-ef1234567890",
    client=client,
    body=body_data
)

print(response)
  1. Model Source: ArrowVendorOfferingMappingRequest
  2. API Source: admin_arrow_vendor_offering_mappings_update
 1
 2
 3
 4
 5
 6
 7
 8
 9
10
11
12
13
14
15
16
17
18
import { adminArrowVendorOfferingMappingsUpdate } from 'waldur-js-client';

try {
  const response = await adminArrowVendorOfferingMappingsUpdate({
  auth: "Token YOUR_API_TOKEN",
  path: {
    "uuid": "a1b2c3d4-e5f6-7890-abcd-ef1234567890"
  },
  body: {
    "settings": "https://api.example.com/api/settings/a1b2c3d4-e5f6-7890-abcd-ef1234567890/",
    "arrow_vendor_name": "string-value",
    "offering": "a1b2c3d4-e5f6-7890-abcd-ef1234567890"
  }
});
  console.log('Success:', response);
} catch (error) {
  console.error('Error:', error);
}
Name Type Required
uuid string (uuid)
Field Type Required Description
settings string (uri)
arrow_vendor_name string Arrow vendor name (e.g., 'Microsoft', 'Amazon Web Services')
offering string (uuid)
plan string (uuid)
is_active boolean Whether this mapping is active

200 -

Field Type Description
uuid string (uuid)
url string (uri)
settings string (uri)
settings_uuid string (uuid)
arrow_vendor_name string Arrow vendor name (e.g., 'Microsoft', 'Amazon Web Services')
offering string (uuid)
offering_uuid string (uuid)
offering_name string
offering_type string
plan string (uuid)
plan_uuid string (uuid)
plan_name string
is_active boolean Whether this mapping is active
created string (date-time)
modified string (date-time)

Partial Update

1
2
3
4
http \
  PATCH \
  https://api.example.com/api/admin/arrow/vendor-offering-mappings/a1b2c3d4-e5f6-7890-abcd-ef1234567890/ \
  Authorization:"Token YOUR_API_TOKEN"
 1
 2
 3
 4
 5
 6
 7
 8
 9
10
11
12
13
14
15
16
from waldur_api_client.client import AuthenticatedClient
from waldur_api_client.models.patched_arrow_vendor_offering_mapping_request import PatchedArrowVendorOfferingMappingRequest # (1)
from waldur_api_client.api.admin import admin_arrow_vendor_offering_mappings_partial_update # (2)

client = AuthenticatedClient(
    base_url="https://api.example.com", token="YOUR_API_TOKEN"
)

body_data = PatchedArrowVendorOfferingMappingRequest()
response = admin_arrow_vendor_offering_mappings_partial_update.sync(
    uuid="a1b2c3d4-e5f6-7890-abcd-ef1234567890",
    client=client,
    body=body_data
)

print(response)
  1. Model Source: PatchedArrowVendorOfferingMappingRequest
  2. API Source: admin_arrow_vendor_offering_mappings_partial_update
 1
 2
 3
 4
 5
 6
 7
 8
 9
10
11
12
13
import { adminArrowVendorOfferingMappingsPartialUpdate } from 'waldur-js-client';

try {
  const response = await adminArrowVendorOfferingMappingsPartialUpdate({
  auth: "Token YOUR_API_TOKEN",
  path: {
    "uuid": "a1b2c3d4-e5f6-7890-abcd-ef1234567890"
  }
});
  console.log('Success:', response);
} catch (error) {
  console.error('Error:', error);
}
Name Type Required
uuid string (uuid)
Field Type Required Description
settings string (uri)
arrow_vendor_name string Arrow vendor name (e.g., 'Microsoft', 'Amazon Web Services')
offering string (uuid)
plan string (uuid)
is_active boolean Whether this mapping is active

200 -

Field Type Description
uuid string (uuid)
url string (uri)
settings string (uri)
settings_uuid string (uuid)
arrow_vendor_name string Arrow vendor name (e.g., 'Microsoft', 'Amazon Web Services')
offering string (uuid)
offering_uuid string (uuid)
offering_name string
offering_type string
plan string (uuid)
plan_uuid string (uuid)
plan_name string
is_active boolean Whether this mapping is active
created string (date-time)
modified string (date-time)

Delete

1
2
3
4
http \
  DELETE \
  https://api.example.com/api/admin/arrow/vendor-offering-mappings/a1b2c3d4-e5f6-7890-abcd-ef1234567890/ \
  Authorization:"Token YOUR_API_TOKEN"
 1
 2
 3
 4
 5
 6
 7
 8
 9
10
11
12
from waldur_api_client.client import AuthenticatedClient
from waldur_api_client.api.admin import admin_arrow_vendor_offering_mappings_destroy # (1)

client = AuthenticatedClient(
    base_url="https://api.example.com", token="YOUR_API_TOKEN"
)
response = admin_arrow_vendor_offering_mappings_destroy.sync(
    uuid="a1b2c3d4-e5f6-7890-abcd-ef1234567890",
    client=client
)

print(response)
  1. API Source: admin_arrow_vendor_offering_mappings_destroy
 1
 2
 3
 4
 5
 6
 7
 8
 9
10
11
12
13
import { adminArrowVendorOfferingMappingsDestroy } from 'waldur-js-client';

try {
  const response = await adminArrowVendorOfferingMappingsDestroy({
  auth: "Token YOUR_API_TOKEN",
  path: {
    "uuid": "a1b2c3d4-e5f6-7890-abcd-ef1234567890"
  }
});
  console.log('Success:', response);
} catch (error) {
  console.error('Error:', error);
}
Name Type Required
uuid string (uuid)

204 - No response body